Index: Makefile
===================================================================
--- Makefile	(revision 339568)
+++ Makefile	(working copy)
@@ -16,12 +16,12 @@
 LIB_DEPENDS=	libboost_date_time.so:${PORTSDIR}/devel/boost-libs \
 		libGeoIP.so:${PORTSDIR}/net/GeoIP
 
-USES=		compiler:c++11-lang pathfix pkgconfig iconv
+USES=		pathfix pkgconfig iconv
 USE_OPENSSL=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
-CONFIGURE_ARGS+=	--disable-debug \
+CONFIGURE_ARGS=	--disable-debug \
 		--disable-static \
 		--enable-dht \
 		--enable-encryption \
@@ -61,6 +61,7 @@
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local/include|${PREFIX}/include|' \
 		${WRKSRC}/Jamfile
+	@${REINPLACE_CMD} -e '/-ftemplate-depth/d' ${WRKSRC}/configure
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
@@ -69,6 +70,7 @@
 	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
 
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
-	${INSTALL_DATA} ${PORTEXAMPLES:S|^|${WRKSRC}/examples/|} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${PORTEXAMPLES:S|^|${WRKSRC}/examples/|} \
+		${STAGEDIR}${EXAMPLESDIR}
 
 .include <bsd.port.mk>
